<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Banner_ajax
 *
 * Обработка запроса при клике на ссылку баннера
 */
class Banners_ajax extends Ajax
{

	/**
	 * Обрабатывает полученные данные из формы
	 * 
	 * @return boolean
	 */
	public function ajax_request()
	{
		if (! empty($_POST['module']) && $_POST['module'] === 'banners' && ! empty($_POST['banner_id']))
		{                      
            DB::query("UPDATE {banners} SET click=click+1 WHERE id=%d", $_POST['banner_id']);
            $this->result["success"] = TRUE;
            return TRUE;
		}
		return FALSE;
	}
}