<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Шаблон вывода одного комментария
 */

$text = '<div class="comment">';
if (! empty($result["name"]))
{
	$text .= '<div class="comments_name">';
	if (! empty($result["name"]["avatar"]))
	{
		$text .= '<img src="'.$result["name"]["avatar"].'" width="'.$result["name"]["avatar_width"].'" height="'.$result["name"]["avatar_height"].'" alt="'.$result["name"]["fio"].' ('.$result["name"]["name"].')" class="avatar"> ';
	}
	$name = $result["name"]["fio"].' ('.$result["name"]["name"].')';
	if(! empty($result["name"]["user_page"]))
	{
		$name = '<a href="'.$result["name"]["user_page"].'">'.$name.'</a>';
	}
	$text .= $name.'</div>';
}
if ($result['date'])
{
	$text .= '<div class="comments_date">'.$result['date'].'</div>';
}

foreach ($result["params"] as $param)
{
	$text .= '<div class="comments_param'.($param["type"] == 'title' ? '_title' : '').'">'.$param["name"];
	if (! empty($param["value"]))
	{
		$text .=  ': <span class="comments_param_value">';
		if (is_array($param["value"]))
		{
			foreach ($param["value"] as $p)
			{
				if ($param["value"][0] != $p)
				{
					$text .=  ', ';
				}
				if (is_array($p))
				{
					$text .=  $p["name"];
				}
				else
				{
					$text .=  $p;
				}
			}
		}
		else
		{
			$text .=  $param["value"];
		}
		$text .=  '</span>';
	}
	$text .=  '</div>';
}

$text .= '<div class="comments_text">'.$result['text']."</div>";

if($result["form"])
{
	$text .= '
	<a href="javascript:void(0)" class="comments_show_form">'.$this->_('RESPOND').'</a>
	<div style="display:none;" class="comments_block_form comments'.$result["id"].'_block_form">';
	$text .= $this->get('form', 'comments', $result["form"]);
	$text .= '</div>';
}

if ($result["children"])
{
	$text .= '<div class="comments_level comments'.$result["id"].'_result">'.$this->get('list', 'comments', $result["children"]).'</div>';
}
else
{
	$text .= '<div class="comments_level comments'.$result["id"].'_result" style="display:none;"></div>';
}
$text .= '</div>';
return $text;