<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Шаблон формы добавления вопроса
 */
//заголовок блока
echo '<h2>'.$this->_('ASK_YOUR_QUESTION').'</h2>';

echo '<form method="POST" action="" enctype="multipart/form-data" class="ajax faq_form">
<input type="hidden" name="module" value="faq">
<input type="hidden" name="site_id" value="'.$result["site_id"].'">
<input type="hidden" name="cat_id" value="'.$result["cat_id"].'">
<input type="hidden" name="ajax" value="0">';

//имя
echo '<div class="infofield">'.$this->_('YOUR_NAME').'<font color="red">*</font>:</div>
<input type = "text" maxLength="70" name="name" size="40" class="inptext" value=""><br>
<div class="errors error_name"'.($result["error_name"] ? '>'.$result["error_name"] : ' style="display:none">').'</div>';

//вопрос
echo '<div class="infofield">'.$this->_('YOUR_QUESTION').'<font color="red">*</font>:</div>
<textarea rows="10" name="question" cols="30" class="inptext"></textarea><br>
<div class="errors error_question"'.($result["error_question"] ? '>'.$result["error_question"] : ' style="display:none">').'</div>';

//e-mail
echo '<div class="infofield">'.$this->_('YOUR_EMAIL').':</div>
<input type = "text" maxLength="70" name="email" size="40" class="inptext" value=""><br>
<div class="errors error_email"'.($result["error_email"] ? '>'.$result["error_email"] : ' style="display:none">').'</div>';

//прикрепляемые файлы
if ($result["attachments"])
{
	echo '<div class="infofield">'.$this->_('ATTACHMENTS').':</div>
	<input type="file" name="attachments[]" class="inpfile" max="'.$result["max_count_attachments"].'">
	<div class="errors error_attachments"'.($result["error_attachments"] ? '>'.$result["error_attachments"] : ' style="display:none">').'</div><br>';
}

//защитный код
echo $result["captcha"];

//кнопка "Отправить"
echo '<span class="button_wrap"><input type="submit" value="'.$this->_('SEND', false).'" class="button" name="button"></span>';
echo '</form>';
echo '<div class="errors error"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>';