<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Feedback_install
 *
 * Установка модуля "Обратная связь"
 */

$title = "Обратная связь";

$sql = array(
	"INSERT INTO {modules} (name, module_name, site, admin) VALUES ('feedback', 'feedback', '1', '1')",

	"CREATE TABLE {feedback} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		created INT(12) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		language TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
		text TEXT NOT NULL DEFAULT '',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY site_id (site_id)
	) CHARSET=utf8",
	
	"CREATE TABLE {feedback_param} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		type VARCHAR(20) NOT NULL DEFAULT '',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		required ENUM('0', '1') NOT NULL DEFAULT '0',
		".multilang("textLANG TEXT NOT NULL DEFAULT '',")."
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id)
	) CHARSET=utf8",

	"CREATE TABLE {feedback_param_element} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		value text NOT NULL DEFAULT '',
		param_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		element_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY element_id (element_id),
		KEY param_id (param_id),
		KEY value (value(5))
	) CHARSET=utf8",

	"CREATE TABLE {feedback_param_select} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		param_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		value TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("nameLANG VARCHAR(50) NOT NULL DEFAULT '',")."
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY param_id (param_id)
	) CHARSET=utf8",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("titleLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		12,
		".multilang("'".$title."',", "'Feedback',", "'',")."
		".multilang("'".$title."',", "'Feedback',", "'',")."
		".multilang("'1',")."
		'12',
		'".time()."',
		'feedback'
	);",

	"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (12, 'feedback', 'site', 0, 12, 0, '0')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'security', '2')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'sendmailadmin', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'add_message', '<div align=\"center\"><b>Спасибо за ваше сообщение!</b></div>')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'error_add_message', 'Невозможно добавить ваше сообщение.<br>Проверьте правильность ввода.')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'error_empty_fields', 'Пожалуйста, заполните обязательное поле:')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'subject', '%%title (%%url). Обратная связь')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'message', 'Здравствуйте!<br>Вы оставили сообщение в форме обратной связи на сайте %%title (%%url).<br><b>Сообщение:</b> %%message <br><b>Ответ:</b> %%answer')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'subject_admin', '%%title (%%url). Новое сообщение в рубрике Обратная связь')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'message_admin', 'Здравствуйте, администратор сайта %%title (%%url)!<br>В рубрике Обратная связь появилось новое сообщение:<br>%%message')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('feedback', 'add_message', '<div align=\"center\"><b>Thank you for your message!</b></div>', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('feedback', 'error_add_message', 'Impossible to add your message.<br>Сheсk if input data is correct.', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('feedback', 'error_empty_fields', 'Your message is already in data base.', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('feedback', 'subject', 'Please, enter obligatory field:', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('feedback', 'subject', '%%title (%%url). Feedback', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('feedback', 'message', 'Hello!<br>You added message on the web site %%title (%%url).<br><b>Message:</b> %%message<br><b>Answer:</b> %%answer', 2)",

	"INSERT INTO {feedback_param} (id, ".multilang("nameLANG,")." type, site_id, sort, required) VALUES (
		1,
		".multilang("'Ваше имя',", "'Your name',", "'',")."
		'text',
		12,
		9,
		'1'
	);",

	"INSERT INTO {feedback_param} (id, ".multilang("nameLANG,")." type, site_id, sort, required) VALUES (
		2,
		".multilang("'Ваш e-mail',", "'Your e-mail',", "'',")."
		'email',
		12,
		10,
		'1'
	);",

	"INSERT INTO {feedback_param} (id, ".multilang("nameLANG,")." type, site_id, sort, required) VALUES (
		3,
		".multilang("'Ваше сообщение',", "'Your message',", "'',")."
		'textarea',
		12,
		11,
		'1'
	);"
);

$adminsite=array(
	10 =>
	array (
		'name' => 'Обратная связь',
		'rewrite' => 'feedback',
		'group_id' => '2',
		'text' => '<p>Модуль аналогичен вопрос-ответ, за исключением возможности публиковать сообщения в пользовательской части сайта.</p>
<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
		'numrow' => '759442',
		'sort' => '10',
		'act' => '1',
		'child' =>
		array (
			0 =>
			array (
				'name' => 'Сообщения',
				'rewrite' => 'feedback',
				'group_id' => '1',
				'text' => '<p>Модуль аналогичен вопрос-ответ, за исключением возможности публиковать сообщения в пользовательской части сайта.</p>
<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
				'numrow' => '52',
				'sort' => '37',
				'act' => '1',
			),
			1 =>
			array (
				'name' => 'Конструктор формы',
				'rewrite' => 'feedback/param',
				'group_id' => '2',
				'text' => '<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
				'numrow' => '5248',
				'sort' => '38',
				'act' => '1',
			),
			2 =>
			array (
				'name' => 'Настройки',
				'rewrite' => 'feedback/config',
				'group_id' => '2',
				'text' => '<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
				'numrow' => '797',
				'sort' => '39',
				'act' => '0',
			),
		),
	),
);
	
$example = array(
	"UPDATE {site} SET
		".multilang(
			"text='<p>Наш зоопарк гордится тем, что у нас одна из лучших систем обратной связи с нашими посетителями!</p>\r\n<p>Вы можете звонить по нашим телефонам, или отправьте сообщение из формы ниже, указав правильный почтовый ящик - и мы обязательно вам ответим!</p>'",
	
			", text2='<p>Our zoo is proud of that at us one of the best systems of a feedback with our visitors!<br /><br />You can call by our phones, or send the message from the form more low, having specified a correct mail box - and we necessarily will answer you!</p>'",
	
			""
		)."
	WHERE id=12",

	"INSERT INTO {feedback} (id, created, site_id) VALUES (
		1,
		'".(time()-86400*2)."',
		'12'
	);",

	"INSERT INTO {feedback} (id, created, site_id) VALUES (
		2,
		'".(time()-86400)."',
		'12'
	);",

	"INSERT INTO {feedback} (id, created, site_id) VALUES (
		3,
		'".time()."',
		'12'
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		1,
		'Георгий'
		1,
		1
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		2,
		'Георг',
		1,
		2
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		3,
		'Виолетта',
		1,
		3
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		4,
		'',
		2,
		1
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		5,
		'',
		2,
		2
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		6,
		'',
		2,
		3
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		10,
		'Спасибо, что вы есть!',
		3,
		1
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		11,
		'Были у вас на прошлой неделе. Все понравилось, только кролик нам на ногу наступил...',
		3,
		2
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		12,
		'Надо мной посмеялась ваша ехидна, не поползу к вам больше, пока она не извинится!',
		3,
		3
	);"
);

/**
 * Выполняет действия для основной установки модуля
 * 
 * @return void
 */
function module_basic_feedback()
{
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/feedback'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/feedback', 0777);
	}

	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/feedback/files'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/feedback/files', 0777);
	}

	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/feedback/imgs'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/feedback/imgs', 0777);
	}

	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/feedback/imgs/small'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/feedback/imgs/small', 0777);
	}

	$text = 'Options -Indexes

<files *>
deny from all
</files>';

	$fp = fopen(ABSOLUTE_PATH.USERFILES.'/feedback/files/.htaccess', "w");
	fwrite($fp, $text);
	fclose($fp);
}