<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Оформление отдельной страницы с файлом
 */

echo '<div class="files_id">';

//краткое описание файла
if ($result['anons'])
{
	echo '<div class="files_anons">'.$result['anons'].'</div>';
}

//описание файла
echo '<div class="files_text">'.$result['text'].'</div>';

//изображения файла
if (! empty($result["img"]))
{
	echo '<div class="files_all_img">';
	foreach ($result["img"] as $img)
	{
		switch($img["type"])
		{
			case 'animation':
				echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$result["id"].'files]">';
				break;
			case 'big_image':
				echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
				break;
			default:
				echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
				break;
		}
		echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
		.'</a> ';
	}
	echo '</div>';
}

//теги файла
if (! empty($result["tags"]))
{
	echo $result["tags"];
}

//ссылка на скачивание файла
if (! empty($result["link"]))
{
	echo '<div class="files_download">';
	echo '<a href="'.$result["link"].'">'.$this->_('DOWNLOAD').'</a>';
		//размер файла
		if (! empty($result["size"])) echo ' ('.$result["size"].')';
	echo '</div>';
}

//рейтинг файла
if (! empty($result["show_rating"]))
{
	echo $result["show_rating"];
}

//форма оценки рейтинга файла
if (! empty($result["add_rating"]))
{
	echo $result["add_rating"];
}

//комментарии к файлу
if (! empty($result["comments"]))
{
	echo $result["comments"];
}

//ссылки на предыдущий и последующий файл
if (! empty($result["previous"]) || ! empty($result["next"]))
{
	echo '<div class="previous_next_links">';
	if (! empty($result["previous"]))
	{
		echo '<div class="previous_link"><a href="'.BASE_PATH_HREF.$result["previous"]["link"].'">&larr; '.$result["previous"]["text"].'</a></div>';
	}
	if (! empty($result["next"]))
	{
		echo '<div class="next_link"><a href="'.BASE_PATH_HREF.$result["next"]["link"].'">'.$result["next"]["text"].' &rarr;</a></div>';
	}
	echo '</div>';
}

echo '</div>';