<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * News_sitemap
 *
 * Карта модуля "Новости"
 */
class News_sitemap
{
	/**
	 * Генерирует карту модуля
	 * 
	 * @param integer $site_id номер страницы сайта
	 * @param integer $timeedit время редактирования страницы
	 * @return boolean true
	 */
	public function get($site_id, $timeedit)
	{
		if ($this->diafan->configmodules("cat", 'news', $site_id))
		{
			$this->category_map('news', $site_id);
		}
		$this->element_map('news', $site_id);
		return true;
	}
}