<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Шаблонная функция: календарь архива новостей 
 */

echo '<div class="news_block">';
echo '<h2>'.$this->_('ARCHIVE').'</h2>';

foreach ($result["rows"] as $key => $values)
{
	if ($result["year"] == $key && ! $result["month"])
	{
		echo '<div class="news_year_current">'.$values["year"]["name"].'</div>';
	}
	else
	{
		echo '<div class="news_year"><a href="'.BASE_PATH_HREF.$values["year"]["link"].'">'.$values["year"]["name"].'</a></div>';
	}
	if (($result["year"] == $key || ! $result["year"] && date("Y") == $key) && ! empty($values["months"]))
	{
		foreach ($values["months"] as $keym => $month)
		{
			if ($result["month"] == $keym && ! $result["day"])
			{
				echo '<div class="news_month_current">'.$month["name"].'</div>';
			}
			elseif (! $month["link"])
			{
				echo '<div class="news_month">'.$month["name"].'</div>';
			}
			else
			{
				echo '<div class="news_month"><a href="'.BASE_PATH_HREF.$month["link"].'">'.$month["name"].'</a></div>';
			}
		}
	}
}
echo '</div>';