<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Referals_admin
 *
 * Редактирование рефералов
 */
class Referals_admin extends Frame_admin
{
	public $name = 'id';
    
    /**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file = 'referals';

	/**
	 * @var string таблица в базе данных
	 */
	public $table = 'referals'; 

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		//поля в базе данных для редактирования
		$this->variable_table = array('main'=>array(
			'id'        => 'disabled',
			'created'     => 'datetime',			
			'referer'     => 'textarea')
		);				
		
		$this->config_module = array(
			'del'              => 1, //удалить
			'date'             => 1, //показывать дату в списке, сортировать по дате
		);
		
		//выводить в списке содержание полей:
		$this->config_other_row = array(                        
			'referer'
		);

		$this->name = "id, concat('" . _ADMIN_REFERALS_ID . ": ', id)";
	}

	/**
	 * Выводит список переходов на сайт
	 * @return boolean true
	 */
	public function show_module()
	{
        $this->list_row();
        return TRUE;
	}
}