<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Referals
 *
 * Контроллер модуля "Рефералы"
 */
class Referals extends Controller
{
         /**
	 * Шаблонная функция: блок вывода кода посетителя
	 * 
	 * @param array $attributes атрибуты шаблонного тэга
	 * @return boolean
	 */
	public function show_block($attributes)
	{                
        $attributes = $this->get_attributes($attributes, 'show_referal_id');

        $show_referal_id  = (bool)$attributes["show_referal_id"];		

        Customization::inc('modules/referals/referals.model.php');
        $model = new Referals_model($this->diafan);
        $result = $model->show_block($show_referal_id);

        $this->diafan->_tpl->get('show_block', 'referals', $result);

		return TRUE;
	}
}