<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Registration
 *
 * Контроллер модуля "Регистрация"
 */
class Registration extends Controller
{
	/**
	 * Инициализация модуля
	 * 
	 * @return void
	 */
	public function init()
	{
		$model = new Registration_model($this->diafan);
		$this->result = $model->form();
		if($this->diafan->_user->id)
		{
			$this->result = $model->order();
		}   
	}

	/**
	 * Выводит контент модуля
	 * 
	 * @return boolean
	 */
	function show_module()
	{
		if (! empty($this->result["actlink"]))
		{
			echo $this->result["actlink"];
			return false;
		}

		$this->diafan->_tpl->get('form', 'registration', $this->result);

		if($this->diafan->_user->id)
		{
			$this->diafan->_tpl->get('order', 'registration', $this->result);
		}   
		return true;
	}

	/**
	 * Шаблонная функция: форма авторизации
	 * 
	 * @param array $attributes атрибуты шаблонного тэга
	 * @return boolean
	 */
	function show_login($attributes)
	{
		$attributes = $this->get_attributes($attributes, 'template');

		Customization::inc('modules/registration/registration.model.php');
		$model = new Registration_model($this->diafan);
		$result = $model->show_login();

		if (! $attributes["template"] || ! $this->diafan->_tpl->get('show_login_'.$attributes["template"], 'registration', $result))
		{
			echo $this->diafan->_tpl->get('show_login', 'registration', $result);
		}
		return true;
	}  	
}