<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Search_admin_del
 * 
 * Удаление элемента из поискового индекса
 */
class Search_admin_del
{
	/**
    * Удаление поискового индекса для выбранных модулей.
    * 
    * @param object $th объект системы
    * @param array $module_name название модуля
    * @param integer $element_id идентификатор элемента
    * @param integer $trash_id идентификатор элемента
    * @param bool $is_category категория или нет
    * 
    * 
    * @return boolean true
    */
    public static function delete($th, $module_name, $element_id, $trash_id = 0, $is_category = false)
	{
	   if(! DB::query_result("SELECT id FROM {adminsite} WHERE rewrite='search' "))
       {
           return false;
       }
       
       Customization::inc('modules/search/admin/search.admin.index.php');
	   
	   $lang = _LANG ? _LANG : 1;
	   $module_name .= $is_category ? '_category' : '';
	   Search_index::delete($element_id, $module_name, $lang);
	   
	   return true;
	}
}