<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Search_install
 *
 * Установка модуля "Поиск"
 */

$sql = array(
	"INSERT INTO {modules} (name, module_name, site, admin) VALUES ('search', 'search', '1', '1')",

    "CREATE TABLE {search_results} (
    `id` int(11) unsigned NOT NULL auto_increment,
    `name` varchar(255) NOT NULL,
    `url` varchar(255) NOT NULL,
    `snippet` varchar(255) NOT NULL,
    `element_id` int(11) unsigned NOT NULL,
    `module` varchar(50) NOT NULL,
    `lang_id` int(1) NOT NULL,
    `rating` int(5) unsigned NOT NULL,
    PRIMARY KEY  (`id`)
    )  DEFAULT CHARSET=utf8  ;",

    "CREATE TABLE {search_keywords} (
    `id` int(11) unsigned NOT NULL auto_increment,
    `keyword` varchar(255) NOT NULL,
    PRIMARY KEY  (`id`)
    )  DEFAULT CHARSET=utf8  ;",
    
    "CREATE TABLE {search_index} (
    `id` int(11) unsigned NOT NULL auto_increment,
    `keyword_id` int(11) unsigned NOT NULL,
    `result_id` int(11) unsigned NOT NULL,
    PRIMARY KEY  (`id`)
    )  DEFAULT CHARSET=utf8 ;",

 "INSERT INTO {site} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." sort, timeedit, addmodule) VALUES (
	25,
	".multilang("'Поиск по сайту',", "'Search',")."
	".multilang("'1',")."
	'25',
	".time().",
	'search'
);",

"INSERT INTO {rewrite} (id, rewrite, module_name, site_id) VALUES (25, 'search', 'site', 25)"
);

$adminsite=array(
	31 =>
	array (
		'name' => 'Поиск',
		'rewrite' => 'search',
		'group_id' => '1',
		'text' => '',
		'numrow' => '0',
		'sort' => '22',
		'act' => '1',
	),
);


/**
 * Выполняет действия по установке модуля
 * 
 * @return void
 */
function module_basic_search()
{
	$diafan = new stdClass();
    $modules = array();
    if ($dir = opendir(ABSOLUTE_PATH."modules"))
	 {
		 while (($file = readdir($dir)) !== false)
		 {
			 if (! $file != '.' && $file != '..' && file_exists(ABSOLUTE_PATH.'modules/'.$file.'/'.$file.'.search.php'))
			 {
			    $modules[] = $file;
			 }
		 }
	 }
    closedir($dir);
    
    if(empty($modules))
    {
	  return false; 
    }
    /*    
    include_once ABSOLUTE_PATH.'adm/includes/save.php';
    include_once ABSOLUTE_PATH.'modules/search/admin/search.admin.php';
    $search_admin = new Search_admin($diafan);
    $search_admin->delete_index($modules);
    $search_admin->create_index($modules);
    */
    return true;
}