<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Shop_admin_act
 * 
 * Блокирование/разблокирование различных элементов в магазине
 */
class Shop_admin_act
{
	/**
	 * Блокирует/разблокирует различные элементы в магазине
	 * 
	 * @param string $table таблица
	 * @param array $element_ids номера элементов, к которым прикреплены теги
	 * @param integer $act блокировать/разблокировать
	 * @return boolean true
	 */
	public static function act($th, $table, $element_ids, $act)
	{
		// если блокируем/разблокируем скидки не через форму
		if ($table == "shop_discount" && ! $th->diafan->save)
		{
			foreach($element_ids as $element_id)
			{
				$th->diafan->_shop->calc_price(0, $element_id);
			}
			$th->diafan->_cache->delete("", "shop");
		}
		return true;
	}
}