<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN')) {
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Shop_admin_delivery
 *
 * Способы доставки
 */
class Shop_admin_delivery extends Frame_admin {

    /**
     * @var string название файла. используется в имени констант, определяющих названия полей
     */
    public $file = 'shopdelivery';

    /**
     * @var string таблица в базе данных
     */
    public $table = 'shop_delivery';

    /**
     * Конструктор класса
     * 
     * @return void
     */
    public function __construct($diafan) {
        $this->diafan = $diafan;

        //поля в базе данных для редактирования
        $this->variable_table = array(
			'main' => array(
            'name' => 'text',
            'price' => 'floattext',
            'amount' => 'floattext',
            'act'=>'checkbox',
            'text' => 'textarea')
        );

        $this->config_module = array(
            'del'   => 1, //удалить
            'act'   => 1,
            'trash' => 1,
            'order' => 1 //сортируется
        );

        //переводимые поля
        $this->language_names = array(
            'name',
            'text',
            'act'
        );
    }

    /**
     * Выводит список способов доставки
     * @return boolean true
     */
    public function show_module() {

        $this->addnew_init(_LANG_ADD);
        $this->list_row();
        
        return true;
    }

}