<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

$text_array = array();
foreach ($result["params"] as $param)
{
	$text = '<div class="shop_param' . ($param["type"] == 'title' ? '_title' : '') . ' param_id_' . $param['id']
			. ' ' . (in_array($param['id'], $result["param_differences"]) ? ' shop_param_difference ' : '')
			. ' ">';
	if ($param["value"])
	{
		$text .= '<span class="shop_param_value">';
		if (!empty($param["link"]))
		{
			$text .= '<a href="' . BASE_PATH_HREF . $param["link"] . '">' . $param["value"] . '</a>';
		}
		elseif (is_array($param["value"]))
		{
			foreach ($param["value"] as $p)
			{
				if ($param["value"][0] != $p)
				{
					$text .= ', ';
				}
				if (is_array($p))
				{
					if ($p["link"])
					{
						$text .= '<a href="' . BASE_PATH_HREF . $p["link"] . '">' . $p["name"] . '</a>';
					}
					else
					{
						$text .= $p["name"];
					}
				}
				else
				{
					$text .= $p;
				}
			}
		}
		else
		{
			$text .= $param["value"];
		}
		$text .= '</span>';
	}
	$text .= '</div>';
	$text_array[$param['id']] = $text;
}

foreach ($result["existed_params"] as $param)
{
	if (empty($text_array[$param['id']]))
	{
		$text_array[$param['id']] = '<div class="shop_param param_empty param_id_' . $param['id']
				. ' ' . (in_array($param['id'], $result["param_differences"]) ? ' shop_param_difference ' : '')
				. ' "> - </div>';
	}
}
ksort($text_array);
echo implode('', $text_array);