<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Site_admin_config
 *
 * Конфигурирование модуля "Страницы сайта"
 */
class Site_admin_config extends Frame_admin
{

    /**
     * @var string название файла. используется в имени констант, определяющих названия полей
     */
    public $file = 'site_config';

    /**
     * Конструктор класса
     * 
     * @return void
     */
    public function __construct($diafan)
    {
	$this->diafan = $diafan;

	$this->variable_table = array(
	    'config' =>
	    array(
		'images' => 'module',
		'protect' => 'checkbox',
		'comments' => 'module',
		'tags' => 'module',
	    )
	);

	$this->config_module = array(
	    'config' => 1 //файл настроек модуля
	);
    }

}