<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Tags_sitemap
 *
 * Карта модуля "Теги"
 */
class Tags_sitemap
{
	/**
	 * Генерирует карту модуля
	 * 
	 * @param integer $site_id номер страницы сайта
	 * @param integer $timeedit время редактирования страницы
	 * @return boolean true
	 */
	public function get($site_id, $timeedit)
	{
		$result = DB::query("SELECT id FROM {tags_name} WHERE trash='0' AND map_no_show='0'");
		while ($row = DB::fetch_array($result))
		{
			$count = DB::query_result("SELECT COUNT(*) FROM {tags} WHERE tags_name_id=%d AND trash='0'", $row["id"]);
			$nastr = 10;
			$link = $this->diafan->_route->link($site_id, "tags", 0, $row["id"]);
			foreach ($this->lang as $l)
			{
				echo '<url>'
				.'<loc>'. BASE_PATH.$l["name"].$link.'</loc>'
				.'<lastmod>'.date('Y-m-d', $timeedit).'</lastmod>'
				.'</url>';
				if ($count > $nastr)
				{
					for ($i = 2; $i <= ceil($count/$nastr); $i++)
					{
						echo '<url>'
						.'<loc>'.BASE_PATH.$l["name"].$link.'page'.$i.'/</loc>'
						.'<lastmod>'.date('Y-m-d', $timeedit).'</lastmod>'
						.'</url>';
					}
				}
			}
		}
		return true;
	}
}