<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(__FILE__)).'/includes/404.php');
}

/**
 * Install
 *
 * Установка
 */
header('Content-Type: text/html; charset=utf-8');

ini_set('display_errors', 'off');
error_reporting(0);

if (empty($_GET["rewrite"]) || ! preg_match('/^install/', $_GET["rewrite"]))
{
	header('Location: http://'.$_SERVER["HTTP_HOST"].str_replace(! empty($_GET["rewrite"]) ? $_GET["rewrite"].'/' : '', '', $_SERVER["REQUEST_URI"])."install/", TRUE);
	exit;
}
$_GET["rewrite"] = preg_replace('/^install.php[\/]*/', '', $_GET["rewrite"]);
$_GET["rewrite"] = preg_replace('/^install[\/]*/', '', $_GET["rewrite"]);

define('IS_INSTALL', 1);
define('IS_ADMIN', 0);
define('VERSION', '5.0');
define('D_UPDATE', '1324632600');
if (! defined("ABSOLUTE_PATH"))
{
	define("ABSOLUTE_PATH", dirname(dirname(__FILE__)).'/');
}
include(ABSOLUTE_PATH."config.php");
if (! defined("REVATIVE_PATH"))
{
	$dir_url_path = @substr(preg_replace("/\/install.*/", "", $_SERVER['REQUEST_URI']), 1);
	define('REVATIVE_PATH', $dir_url_path);
}
define('BASE_PATH', "http://".$_SERVER['SERVER_NAME'].'/'.(REVATIVE_PATH ? REVATIVE_PATH.'/' : ''));

$module_rows = array('core', 'users', 'messages', 'news', 'clauses', 'feedback', 'faq', 'shop', 'files', 'search', 'banners', 'comments', 'rating', 'tags', 'photo', 'votes', 'subscribtion', 'forum');

include_once ABSOLUTE_PATH.'includes/customization.php';

if ($_GET["rewrite"])
{
	include_once(ABSOLUTE_PATH.'includes/http.php');
	include_once(ABSOLUTE_PATH.'includes/https.php');
	include_once(ABSOLUTE_PATH.'includes/xml.php');
	require_once(ABSOLUTE_PATH.'includes/core.php');
	if ($_GET["rewrite"] == "step4")
	{
		include_once(ABSOLUTE_PATH."includes/database.php");
	}
	class Inst extends Core{}
	$inst = new Inst;
}

set_time_limit(120);
$rewrite = "index";
if (! empty($_GET["rewrite"]) && strstr($_GET["rewrite"], 'step'))
{
	$rewrite = preg_replace('/[^A-Za-z0-9]+/', '', $_GET["rewrite"]);
}

$step_array = array(
		    'index' => 'Проверка системы',
		    'step1' => 'Лицензия',
		    'step2' => 'Параметры',
		    'step3' => 'Администратор сайта',
		    'step4' => 'Модули',
		    'step5' => 'Окончание'
		    );

@$name = $step_array[$rewrite];

if ($rewrite == 'step1' || $rewrite == 'step2' || $rewrite == 'step3')
{
	session_name('SESS'.md5($_SERVER['HTTP_HOST']));
	session_start();
}

if (! empty($_POST["form"]))
{
	switch ($rewrite)
	{
////////////////////////////step2
		case 'step2':
			break;
////////////////////////////step3
		case 'step3':

			$_SESSION["tit_update"]           = str_replace('\\"', '&quot;', $inst->get_param($_POST, "tit_update", '', 1));
			$_SESSION["diafan_host_update"]   = str_replace('\\"', '&quot;', $inst->get_param($_POST, "diafan_host_update", '', 1));
			$_SESSION["diafan_user_update"]   = str_replace('\\"', '&quot;', $inst->get_param($_POST, "diafan_user_update", '', 1));
			$_SESSION["diafan_pass_update"]   = str_replace('\\"', '&quot;', $inst->get_param($_POST, "diafan_pass_update", '', 1));
			$_SESSION["diafan_dbname_update"] = str_replace('\\"', '&quot;', $inst->get_param($_POST, "diafan_dbname_update", '', 1));
			$_SESSION["diafan_prefix_update"] = str_replace('\\"', '&quot;', $inst->get_param($_POST, "diafan_prefix_update", '', 1));

			if (empty($_POST['diafan_host_update']) || empty($_POST['diafan_user_update']) || empty($_POST['diafan_dbname_update']))
			{
				diafan_err('step2','Вами введены неверные данные о БД MySQL или не заполнены необходимые поля формы.');
			}
			$sheme = extension_loaded('mysqli') ? 'mysqli' : 'mysql';

			$diafan_url = $sheme.'://'.$inst->get_param($_POST, "diafan_user_update", '', 1)
			              .($inst->get_param($_POST, "diafan_pass_update", '', 1)
					? ":".$inst->get_param($_POST, "diafan_pass_update", '', 1)
					: '')
				      ."@".$inst->get_param($_POST, "diafan_host_update", '', 1)
				      ."/".$inst->get_param($_POST, "diafan_dbname_update", '', 1);

			require_once (ABSOLUTE_PATH.'includes/database.php');
			$active_db = DB::connect($diafan_url);

			if (empty($active_db))
			{
				diafan_err('step2', 'Введены неверные параметры подключения к базе данных MySQL!');
			}

			$result = DB::query("SHOW TABLES FROM ".$inst->get_param($_POST, "diafan_dbname_update", '', 1));
			while ($row = DB::fetch_array($result))
			{
				if ($row[0] == $inst->get_param($_POST, "diafan_prefix_update", '', 1)."site")
				{
					diafan_err('step2', 'Префикс занят!');
					break;
				}
			}

			$new_values = array(
					'TIT' => str_replace('\\"', '&quot;', $inst->get_param($_POST, "tit_update", '', 1)),
					'DB_URL' => $diafan_url,
					'DB_PREFIX' => str_replace('"','&quot;', $inst->get_param($_POST, "diafan_prefix_update", '', 1)),
					'DB_CHARSET' => 'utf8',
					'USERFILES' => 'userfiles',
					'LANGUAGE_BASE' => 'ru',
					'VERSION_CMS' => VERSION,
					'DATE_UPDATE' => D_UPDATE,
					'MOD_DEVELOPER' => FALSE,
					'MOD_DEVELOPER_CACHE' => FALSE,
					'MOD_DEVELOPER_PROFILING' => FALSE,
					'ROUTE_END' => '/',
					'ROUTE_AUTO_MODULE' => TRUE,
					'USERADMIN' => TRUE
				);
			include_once(ABSOLUTE_PATH.'includes/config.php');
			Config::save($new_values, array('1' => array('', 'ru')));
			break;
////////////////////////////step4
		case 'step4':
			session_name('SESS'.md5($_SERVER['HTTP_HOST']));
			session_start();

			$_SESSION["adminemail"]    = str_replace('\\"', '', $inst->get_param($_POST, "adminemail", '', 1));
			$_SESSION["admin_folderl"] = str_replace('\\"', '', $inst->get_param($_POST, "admin_folder", '', 1));
			$_SESSION["adminname"]     = str_replace('\\"', '&quot;', $inst->get_param($_POST, "adminname", '', 1));
			$_SESSION["adminpass"]     = str_replace('\\"', '&quot;', $inst->get_param($_POST, "adminpass", '', 1));
			$_SESSION["adminfio"]      = str_replace('\\"', '&quot;', $inst->get_param($_POST, "adminfio", '', 1));
			$_SESSION["admin_folder"]  = str_replace('\\"', '', $inst->get_param($_POST, "admin_folder", 'admin', 1));
	
			if (empty($_POST['adminfio']) || empty($_POST['adminname']) || empty($_POST['adminpass'])
			   || empty($_POST['adminemail']) || empty($_POST['admin_folder']))
			{
				diafan_err('step3', 'Заполните, пожалуйста, все поля.');
			}

			unset($_SESSION);
			$_SESSION = '';
			include_once (ABSOLUTE_PATH.'includes/validate.php');

			$new_values = array(
					'EMAIL_CONFIG' => ! Validate::mail($_POST["adminemail"]) ? $inst->get_param($_POST, "adminemail", '', 1) : '',
					'ADMIN_FOLDER' => $inst->get_param($_POST, "admin_folder", '', 1)
				);
			include_once(ABSOLUTE_PATH.'includes/config.php');
			Config::save($new_values, array('1' => array('', 'ru')));

			$text = '<?php
			$name_admin = "'.str_replace('\\"', '&quot;', $inst->get_param($_POST, "adminname", '', 1)).'";
			$fio_admin  = "'.str_replace('\\"', '&quot;', $inst->get_param($_POST, "adminfio", '', 1)).'";
			$pass_admin = "'.str_replace('\\"', '&quot;', $inst->get_param($_POST, "adminpass", '', 1)).'";';

			$fp = fopen(ABSOLUTE_PATH."cache/otherfile.php", "w");
			fwrite($fp, $text);
			fclose($fp);
			break;
////////////////////////////step5
		case 'step5':
			setcookie('useradmin', false, mktime(0,0,0,1,1,2000), '/');
			require_once (ABSOLUTE_PATH.'includes/database.php');
			$active_db = DB::connect(DB_URL);
			global $name_admin, $pass_admin;
			include_once(ABSOLUTE_PATH.'cache/otherfile.php');
			global $module_rows;
			
			if ($module_rows)
			{
				global $count_lang;
				$count_lang = ! empty($_POST["lang_yes"]) ? 2 : 1;

				foreach ($module_rows as $module)
				{
					if ($module == "core")
					{
						include_once(ABSOLUTE_PATH."installation/core.php");
					}
					else
					{
						if (empty($_POST[$module]))
							continue;
						include_once(ABSOLUTE_PATH."modules/".$module."/".$module.".install.php");
					}

					foreach ($sql as $s)
					{
						if ($s)
						{
							DB::query($s);
						}
					}
					unset($sql);

					if(! empty($adminsite))
					{
						foreach($adminsite as $v) 
						{
							adminsite($v); 
						}
					}
					unset($adminsite);
					
					$func = 'module_basic_'.$module;
					if (function_exists($func))
					{
						$func();
					}
					if (!empty($_POST["example_yes"]))
					{
						if(! empty($example))
						{
							foreach ($example as $e)
							{
								if ($e)
								{
									DB::query($e);
								}
							}
							unset($example);
						}
						$func = 'module_example_'.$module;
						if (function_exists($func))
						{
							$func();
						}
					}
				}
			}
			
			$d = dir(ABSOLUTE_PATH.'cache');
			while ($entry = $d->read())
			{
				if ($entry != "." and $entry != ".." and $entry != ".htaccess")
				{
					if (is_dir(ABSOLUTE_PATH.'cache/'.$entry))
					{
						$module = $entry;
						$dm = dir(ABSOLUTE_PATH.'cache/'.$module);
						while ($entrym = $dm->read())
						{
							if ($entrym != "." and $entrym != "..")
							{
								if (! is_dir(ABSOLUTE_PATH.'cache/'.$module.'/'.$entrym))
								{
									unlink(ABSOLUTE_PATH.'cache/'.$module.'/'.$entrym);
								}
							}
						}
						$dm->close();
					}
					else
					{
						unlink(ABSOLUTE_PATH.'cache/'.$entry);
					}
				}
			}
			$d->close();
			unset($_SESSION);
			break;
	}
}

show_theme();

function show_menu_install()
{
	global $rewrite,$step_array;
	$kk = 0;
	foreach ($step_array as $k => $v)
	{
		if($k == $rewrite)
		{
			echo '<tr><td colspan="3" class="menu_act_before"></td></tr><tr class="menu_act">
	<td class="menu_1"></td>
	<td class="menu_2">'.$v.'</td>
	<td class="menu_3"></td>
	</tr><tr><td colspan="3" class="menu_act_after"></td></tr>';
		}
		else
		{
			echo '<tr>
	<td class="menu_1"></td>
	<td class="menu_2">'.(! $kk ? '<a href="'.BASE_PATH.'install/'.($k != "index" ? $k.'/' : '').'">' : '')
				.$v
				.(! $kk ? '</a>' : '').'</td>
	<td class="menu_3"></td>
	</tr>';
		}
		if ($k == $rewrite)
		{
			$kk = 1;
		}
	}
}

function show_body_install()
{
	global $rewrite, $step_array, $inst;
	echo '<h2>'.@$step_array[$rewrite].'</h2>';

	switch($rewrite)
	{
////////////////////////////index
		case 'index':
			$disabledb = 0;
			?>
	<table class="list">
		<tr>
			<td class="item">Версия PHP >= 5.0</td>
			<td align="left">
				<?php
				echo phpversion() < '5.0'
				     ? '<b><font color="red">Необходима версия PHP  выше, обратитесь к администратору сервера</font></b>'
				     : '<b><font color="green">да</font></b>';
				if (phpversion() < '5.0')
				{
					$disabledb = 1;
				}
				?>
			</td>
		</tr>
		<tr>
			<td>Поддержка MySQL</td>
			<td align="left">
				<?php
				echo function_exists('mysql_connect')
				     ? '<b><font color="green">да</font></b>'
				     : '<b><font color="red">Необходима</font></b>';
				if (! function_exists('mysql_connect'))
				{
					$disabledb = 1;
				}
				?>
			</td>
		</tr>
		<tr>
			<td class="item">Поддержка сокетов</td>
			<td align="left">
				<?php
				$fp = @fsockopen('diafan.ru', 80);
				echo $fp ? '<b><font color="green">да</font></b>' : '<b><font color="red">Необходима</font></b>';
				if (! $fp)
				{
					$disabledb = 1;
				}
				?>
			</td>
		</tr>
		<tr>
			<td class="item">/userfiles/</td>
			<td align="left">
				<?php
				echo is_writable(ABSOLUTE_PATH."userfiles")
				     ? '<b><font color="green">да</font></b>'
				     : '<b><font color="red">установите права 777</font></b>';
				if (! is_writable(ABSOLUTE_PATH."userfiles"))
				{
					$disabledb = 1;
				}
				?>
			</td>
		</tr>
		<tr>
			<td class="item">/cache/</td>
			<td align="left">
				<?php echo is_writable(ABSOLUTE_PATH."cache")
				      ? '<b><font color="green">да</font></b>'
				      : '<b><font color="red">установите права 777</font></b>';
				if (! is_writable(ABSOLUTE_PATH."cache"))
				{
					$disabledb = 1;
				}
				?>
			</td>
		</tr>
		<tr>
			<td class="item">/installation/</td>
			<td align="left">
				<?php echo is_writable(ABSOLUTE_PATH."installation")
				      ? '<b><font color="green">да</font></b>'
				      : '<b><font color="red">установите права 777</font></b>';
				if (! is_writable(ABSOLUTE_PATH."installation"))
				{
					$disabledb = 1;
				}
				?>
			</td>
		</tr>
		<tr>
			<td valign="top" class="item">Файл <strong>config.php</strong></td>
			<td align="left">
				<?php
				if (is_writable(ABSOLUTE_PATH.'config.php'))
				{
					echo '<b><font color="green">да</font></b>';
				}
				else
				{
					echo '<b><font color="red">установите права 777</font></b>';
					$disabledb = 1;
				}
				?>
			</td>
		</tr>
		<tr>
			<td valign="top" class="item">Кэш <strong>index.html</strong></td>
			<td align="left">
				<?php
				if (is_writable(ABSOLUTE_PATH.'index.html' ))
				{
					echo '<b><font color="green">да</font></b>';
				}
				else
				{
					echo '<b><font color="red">установите права 777</font></b>';
					$disabledb = 1;
				}
				?>
			</td>
		</tr>
		<tr>
			<td valign="top" class="item">language/ru.php</td>
			<td align="left">
				<?php
				if (is_writable(ABSOLUTE_PATH.'language/ru.php' ))
				{
					echo '<b><font color="green">да</font></b>';
				}
				else
				{
					echo '<b><font color="red">установите права 777</font></b>';
					$disabledb = 1;
				}
				?>
			</td>
		</tr>
<?php if ($disabledb == 1)
{ ?>
		<tr>
			<td valign="top" class="item" colspan=2>
				<br><b>Установка CMS будет успешной после того, как будут выполнены рекомендации.</b>
			</td>
		</tr>
<?php
} ?>
	</table>
	<br><br>
	<input type="button" value="Проверить снова" onclick="window.location=window.location" />
	&nbsp; &nbsp;
	<input type="submit" value="Далее" <?php if ($disabledb == 1){ echo "disabled"; } ?> onclick="window.location='<?php echo BASE_PATH;?>install/step1/';">
	<br><br>
		<?php
			break;
////////////////////////////step1
		case 'step1':
		?>
			<iframe src="http://cms.diafan.ru/licence.html" frameborder="0" scrolling="auto" width="100%" height="400px"></iframe>
			<form action="<?php echo BASE_PATH;?>install/step2/" method="POST">
				<input type="hidden" name="form" value="1">
				<br><br><br>
				<input type="button" value="Назад" onclick="window.location='<?php echo BASE_PATH;?>install/';">
				&nbsp; &nbsp; <input type="submit" value="Принимаю" />
			</form>
			<br><br>
		<?php
			break;
////////////////////////////step2
		case 'step2':
		?>
			<form action="<?php echo BASE_PATH;?>install/step3/" method="post">
				<input type="hidden" name="form" value="1">
				<table class="table_edit">
					<tr>
						<td class="td_first"><b>Свойство</b></td>
						<td><b>Значение</b></td>
					</tr>
					<tr>
						<td class="td_first">Название сайта</td>
						<td><input type="text" name="tit_update" size="40" value="<?php echo @$_SESSION["tit_update"];?>"></td>
					</tr>
					<tr>
						<td class="td_first"><b>База данных MySQL</b></td>
						<td>(кодировка базы должна быть UTF-8)</td>
					</tr>
					<tr>
						<td class="td_first">Host</td>
						<td><input type="text" name="diafan_host_update" size="40" value="<?php echo (@$_SESSION["diafan_host_update"] ? $_SESSION["diafan_host_update"] : 'localhost');?>"></td>
					</tr>
					<tr>
						<td class="td_first">База данных</td>
						<td><input type="text" name="diafan_dbname_update" size="40" value="<?php echo @$_SESSION["diafan_dbname_update"];?>"></td>
					</tr>
					<tr>
						<td class="td_first">Пользователь</td>
						<td><input type="text" name="diafan_user_update" size="40" value="<?php echo @$_SESSION["diafan_user_update"];?>"></td>
					</tr>
					<tr>
						<td class="td_first">Пароль</td>
						<td><input type="text" name="diafan_pass_update" size="40" value="<?php echo @$_SESSION["diafan_pass_update"];?>"></td>
					</tr>
					<tr>
						<td class="td_first">Префикс таблиц</td>
						<td><input type="text" name="diafan_prefix_update" size="40" value="<?php echo (@$_SESSION["diafan_prefix_update"]?$_SESSION["diafan_prefix_update"]:'diafan_');?>"></td>
					</tr>
					<tr>
						<td></td>
						<td><input type="button" value="Назад" onclick="window.location='<?php echo BASE_PATH;?>install/step1/';" /> &nbsp; &nbsp; <input type="submit" value="Далее" /></td>
					</tr>
				</table>
			</form>
			<br><br>
		<?php
			break;
////////////////////////////step3
		case 'step3':
		?>
			<form action="<?php echo BASE_PATH;?>install/step4/" method="post">
				<input type="hidden" name="form" value="1">
				<table class="table_edit">
					<tr>
						<td class="td_first"><b>Свойство</b></td>
						<td><b>Значение</b></td>
					</tr>
					<tr>
						<td class="td_first">ФИО</td>
						<td><input type="text" name="adminfio" size="40" value="<?php echo @$_SESSION["adminfio"];?>"></td>
					</tr>
					<tr>
						<td class="td_first">Логин</td>
						<td><input type="text" name="adminname" size="40" value="<?php echo @$_SESSION["adminname"];?>"></td>
					</tr>
					<tr>
						<td class="td_first">Пароль</td>
						<td><input type="text" name="adminpass" size="40" value=""></td>
					</tr>
					<tr>
						<td class="td_first">E-mail адрес</td>
						<td><input type="text" name="adminemail" size="40" value="<?php echo @$_SESSION["adminemail"];?>"></td>
					</tr>
					<tr>
						<td class="td_first">Папка для панели администрирования</td>
						<td><input type="text" name="admin_folder" size="40" value="<?php echo (!empty($_SESSION["admin_folder"])?$_SESSION["admin_folder"]:'admin');?>"></td>
					</tr>
					<tr>
						<td></td>
						<td><input type="button" value="Назад" onclick="window.location='<?php echo BASE_PATH;?>install/step2/';" /> &nbsp; &nbsp; <input type="submit" value="Далее" /></td>
					</tr>
				</table>
			</form>
			<br><br>
		<?php
			break;
////////////////////////////step4
		case 'step4':
		?>
			<form action="<?php echo BASE_PATH;?>install/step5/" method="post">
				<input type="hidden" name="form" value="1">
				<br>Какие дополнительные модули установить?<br>
				<?php
				include(ABSOLUTE_PATH.'language/'.LANGUAGE_BASE.'.php');
				global $module_rows;
				if ($module_rows)
				{
					foreach ($module_rows as $module)
					{
					    if ($module == "core")
						continue;

						$const = strtoupper('_LANG_'.$module);
						if (defined($const))
						{
							$name = constant($const);
						}
						else
						{
							$name = $module;
						}

						if (file_exists(ABSOLUTE_PATH.'modules/'.$module.'/'.$module.'.install.php'))
						{
							echo '<p><input type="checkbox" name="'.$module.'" value="1" checked> <b>'.$name.'</b></p>';
						}
						else
						{
							echo '<p><b>'.$name.'</b> - '._ADMIN_INSTALL_NO_FILES.'</p>';
						}
					}
				}
				?>
				<br><br>
				<input type="checkbox" name="example_yes" value="1"> Заполнить сайт примерами из демо-версии «Бумажный зоопарк» (займет несколько минут)
				<br><br>
				<input type="checkbox" name="lang_yes" value="1"> Создать две языковые версии сайта (Русский/English)
				<br><br>
				<input type="button" value="Назад" onclick="window.location='<?php echo BASE_PATH;?>install/step3/';" /> &nbsp; &nbsp;
				<input type="submit" value="Далее" /><br><br>
			</form>
		<?php
			break;
////////////////////////////step5
		case 'step5':
			global $name_admin, $pass_admin;
			echo '<br><br>Поздравляем!
			<br><br><br>
			<b>diafan.CMS</b> успешно установлена!
			<br><br><br>
			Перейти <a href='.BASE_PATH.'>на сайт</a>, <a href="'.BASE_PATH.ADMIN_FOLDER.'/">в панель управления</a> (логин:пароль - '.$name_admin.':'.$pass_admin.').
			<br><br>
			<div class="hide"><iframe src="http://cms.diafan.ru/"></iframe></div>';

			@unlink(ABSOLUTE_PATH."installation/install.php");
			@unlink(ABSOLUTE_PATH."installation/install.view.php");
			if (file_exists(ABSOLUTE_PATH."installation/install.php"))
			{
				echo '<br><br><font color="red">Внимание! Файл installation/install.php не был удален. Удалите его прежде, чем продолжить.</font>';
			}
			unlink(ABSOLUTE_PATH.'cache/otherfile.php');

			break;
	}
}

function diafan_err($step, $alert)
{
        echo '<script>alert("'.$alert.'"); document.location.href="'.BASE_PATH.'install/'.$step.'/";</script>';        
        exit;
}

function show_theme()
{
	global $name;
	include_once(ABSOLUTE_PATH.'installation/install.view.php');
}

/**
 * Адаптирует SQL запрос под текущее количество языковых версий сата
 *
 * @param string $str часть SQL-запроса
 * @return string
 */
function multilang($str)
{
	global $count_lang;
	$result = '';

	$arg = func_get_args();

	for ($i = 1; $i <= $count_lang; $i++)
	{
		if (isset($arg[$i-1]))
		{
			$str = $arg[$i-1];
		}

		if ($i == 1)
		{
			$k = '';
		}
		else
		{
			$k = $i;
		}
		$result .= str_replace('LANG', $k, $str).' ';
	}
	return $result;
}

/**
 * Добавляет записи о модуле в таблицу {adminsite} - страницы админки
 *
 * @param array $values значения полей
 * @param integer $parent_id номер страницы админки - родителя
 * @return integer
 */
function adminsite($values, $parent_id = 0)
{
	if(empty($values["sort"]))
	{
		$values["sort"] = 0;
	}

    if (!empty($parent_id)) 
	{
        DB::query("UPDATE {adminsite} SET count_children=count_children+1 WHERE id=%d", $parent_id);
    }
	if(empty($values['act']))
	{
		$values['act'] = 0;
	}

	if (empty($parent_id))
	{
		DB::query("INSERT INTO {adminsite} (group_id, name, rewrite, text, numrow, act, sort) VALUES ('%s', '%s', '%s', '%s', %d, '%s', %d)", $values['group_id'], $values['name'], $values['rewrite'], $values['text'], $values['numrow'], $values['act'], $values['sort']);
		$last_id = DB::last_id("adminsite");
	}
	else 
	{
		DB::query("INSERT INTO {adminsite} (parent_id,group_id, name, rewrite, text,numrow, act,sort) VALUES (%d, %d, '%s', '%s', '%s',%d, '%s', %d)", $parent_id, $values['group_id'], $values['name'], $values['rewrite'], $values['text'], $values['numrow'], $values['act'], $values['sort']);
		$last_id = DB::last_id("adminsite");
		DB::query("INSERT INTO {adminsite_parents} (element_id, parent_id) VALUES (%d, %d)", $last_id, $parent_id);
	}

	if(!empty($values['child']))
	{
		foreach ($values['child'] as $k => $v)
		{
			$v["sort"] = $k;
			adminsite($v, $last_id);
		}
	}

    return $last_id;
}

exit;