<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(dirname(dirname(__FILE__))))).'/includes/404.php';
}

/*
 * Настройки платежной системы "Банковские платежи" для административного интерфейса
 */
class Cart_payment_non_cash_admin
{
	public $config;

	public function __construct()
	{
		$this->config = array(
			"name" => _ADMIN_SHOPPAYMENT_NON_CASH,
			"params" => array(
                'non_cash_name' => _ADMIN_SHOPPAYMENT_NON_CASH_NAME,
                'non_cash_ogrn' => _ADMIN_SHOPPAYMENT_NON_CASH_OGRN,
                'non_cash_inn' => _ADMIN_SHOPPAYMENT_NON_CASH_INN,
                'non_cash_kpp' => _ADMIN_SHOPPAYMENT_NON_CASH_KPP,
                'non_cash_rs' => _ADMIN_SHOPPAYMENT_NON_CASH_RS,
                'non_cash_bank' => _ADMIN_SHOPPAYMENT_NON_CASH_BANK,
                'non_cash_bik' => _ADMIN_SHOPPAYMENT_NON_CASH_BIK,
                'non_cash_ks' => _ADMIN_SHOPPAYMENT_NON_CASH_KS,
                'non_cash_address' => _ADMIN_SHOPPAYMENT_NON_CASH_ADDRESS,
                'non_cash_director' => _ADMIN_SHOPPAYMENT_NON_CASH_DIRECTOR,
                'non_cash_glbuh' => _ADMIN_SHOPPAYMENT_NON_CASH_GLBUH,
                'non_cash_kbk' => _ADMIN_SHOPPAYMENT_NON_CASH_KBK,
                'non_cash_tax_department' => _ADMIN_SHOPPAYMENT_NON_CASH_TAX_DEPARTMENT,
                'non_cash_okato' => _ADMIN_SHOPPAYMENT_NON_CASH_OKATO,
                'non_cash_nds' => _ADMIN_SHOPPAYMENT_NON_CASH_NDS
			)
		);
	}
}