<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (!defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Feedback_admin_config
 *
 * Конфигурирование модуля "Обратная связь"
 */
class Feedback_admin_config extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file = 'feedback_config';

	/**
	 * Конструктор класса
	 *
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->variable_table = array ( 'config'=> array ( 'captcha'            => 'checkbox',
														   'add_message'        => 'textarea',
														   'error_add_message'  => 'textarea',
														   'error_empty_fields' => 'text',
														   'hr1'                => 'hr',
														   'attachments'        => 'module',
														   'attachments_access_admin'  => 'none',
														   'hr2'                => 'hr',
														   'subject'            => 'text',
														   'message'            => 'textarea',
														   'emailconf'          => 'select',
														   'email'              => 'none',
														   'hr3'                => 'hr',
														   'sendmailadmin'      => 'checkbox',
														   'emailconfadmin'     => 'function',
														   'email_admin'        => 'none',
														   'subject_admin'      => 'text',
														   'message_admin'      => 'textarea' ) );

		$this->language_names = array ( 'subject', 'message', 'add_message', 'error_add_message', 'error_empty_fields' );

		$this->config_module = array ( 'element_site' => 1, //делит элементы по разделам (страницы сайта, к которым прикреплен модуль)
									   'config'       => 1 //файл настроек модуля
		);

		$this->show_tr_click_checkbox = array ( "sendmailadmin" => array ( 'emailconfadmin', 'subject_admin', 'message_admin' ) );
	}
}