<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Шаблон оформления страницы с отдельной новостью
 */

echo '<div class="news_id">';

//вывод даты новости
if (! empty($result["date"]))
{
	echo '<div class="news_date">'.$result["date"]."</div>";
}		

//изображения новости
if (! empty($result["img"]))
{
	echo '<div class="news_all_img">';
	foreach ($result["img"] as $img)
	{
		switch($img["type"])
		{
			case 'animation':
				echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$result["id"].'news]">';
				break;
			case 'big_image':
				echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
				break;
			default:
				echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
				break;
		}
		echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
		.'</a><br>';
	}
	echo '</div>';
}

//вывод анонса новости
if ($result['anons'])
{
	echo '<div class="news_anons">'.$result['anons'].'</div>';
}

//вывод основного текста новости
echo '<div class="news_text">'.$result['text'].'</div>';

//вывод тегов к новости
if (! empty($result["tags"]))
{
	echo $result["tags"];
}

//рейтинг новости
if (! empty($result["show_rating"]))
{
	echo $result["show_rating"];
}

//форма оценки рейтинга новости
if (! empty($result["add_rating"]))
{
	echo $result["add_rating"];
}

//комментарии к новости
if (! empty($result["comments"]))
{
	echo $result["comments"];
}


//ссылки на предыдущую и последующую новость
if (! empty($result["previous"]) || ! empty($result["next"]))
{
	echo '<div class="previous_next_links">';
	if (! empty($result["previous"]))
	{
		echo '<div class="previous_link"><a href="'.BASE_PATH_HREF.$result["previous"]["link"].'">&larr; '.$result["previous"]["text"].'</a></div>';
	}
	if (! empty($result["next"]))
	{
		echo '<div class="next_link"><a href="'.BASE_PATH_HREF.$result["next"]["link"].'">'.$result["next"]["text"].' &rarr;</a></div>';
	}
	echo '</div>';
}

//ссылки на все новости
if (! empty($result["allnews"]))
{
	echo '<div class="show_all"><a href="'.BASE_PATH_HREF.$result["allnews"]["link"].'">'.$this->_('BACK_TO_LIST').'</a></div>';
}

echo '</div>';