<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Photo_install
 *
 * Установка модуля "Фотогалерея"
 */

$title = "Фотогалерея";

$sql = array(
	"INSERT INTO {modules} (name, module_name, site, admin) VALUES ('photo', 'photo', '1', '1')",

	"CREATE TABLE {photo} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL DEFAULT '',")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		map_no_show ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		cat_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL DEFAULT '',")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL DEFAULT '',")."
		".multilang("textLANG text NOT NULL DEFAULT '',")."
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		timeedit INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`access` ENUM('0', '1') NOT NULL DEFAULT '0',
		theme VARCHAR(50) NOT NULL DEFAULT '',
		view VARCHAR(50) NOT NULL DEFAULT '',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY site_id (site_id)
	) CHARSET=utf8",

	"CREATE TABLE {photo_category} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL DEFAULT '',")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		map_no_show ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		parent_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		count_children TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL DEFAULT '',")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL DEFAULT '',")."
		".multilang("textLANG text NOT NULL DEFAULT '',")."
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		timeedit INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`access` ENUM('0', '1') NOT NULL DEFAULT '0',
		theme VARCHAR(50) NOT NULL DEFAULT '',
		view VARCHAR(50) NOT NULL DEFAULT '',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY parent_id (parent_id),
		KEY site_id (site_id)
	) CHARSET=utf8",

	"CREATE TABLE {photo_category_parents} (
		id INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
		element_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		parent_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY (id)
	) CHARSET=utf8",

	"CREATE TABLE {photo_category_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`),
		KEY cat_id (`cat_id`)
	) CHARSET=utf8",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		4,
		".multilang("'".$title."',", "'Photogallery',", "'',")."
		".multilang("'1',")."
		'4',
		'".time()."',
		'photo'
	);",

	"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (4, 'photo', 'site', 0, 4, 0, '0')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'page_show', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'big_width', '600')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'big_height', '600')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'big_quality', '90')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'medium_width', '150')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'medium_height', '150')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'medium_quality', '90')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'use_animation', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'count_list', '3')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'nastr', '10')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'pid_array', '1')"
);

$adminsite=array(
	22 =>
	array (
		'name' => 'Фотогалерея',
		'rewrite' => 'photo',
		'group_id' => '1',
		'text' => '<p>Фотогалерея состоит из категорий фотографий. Фотографии сохраняются в двух размерах, для предпросмотра и увеличенном и используются в генерации галереи. Настройки модуля можно изменить в <a href="base_path/photo/config/">&quot;Конфигурации фотогалереи&quot;</a>.</p>
<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
		'numrow' => '129707',
		'sort' => '4',
		'act' => '1',
		'child' =>
		array (
			0 =>
			array (
				'name' => 'Фотографии',
				'rewrite' => 'photo',
				'group_id' => '1',
				'text' => '<p>Фотогалерея состоит из категорий фотографий. Фотографии сохраняются в двух размерах, для предпросмотра и увеличенном и используются в генерации галереи. Настройки модуля можно изменить в <a href="base_path/photo/config/">&quot;Конфигурации фотогалереи&quot;</a>.</p>
<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
				'numrow' => '3',
				'sort' => '11',
				'act' => '1',
			),
			1 =>
			array (
				'name' => 'Альбомы',
				'rewrite' => 'photo/category',
				'group_id' => '1',
				'text' => '<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
				'numrow' => '8',
				'sort' => '12',
				'act' => '1',
			),
			2 =>
			array (
				'name' => 'Настройки',
				'rewrite' => 'photo/config',
				'group_id' => '1',
				'text' => '<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
				'numrow' => '3',
				'sort' => '13',
				'act' => '0',
			),
		),
	),
);

$example = array(
	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'cat', '1')",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		cat_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		count_children,
		sort
	) VALUES (
		3,
		'site',
		4,
		1,
		".multilang("'Фотогалерея', ", "'Photogallery', ", "'', ")."
		".multilang("'1', ")."
		2,
		3
	)",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		1,
		".multilang("'Коршун Маркус',", "'Kite Markus',", "'',")."
		".multilang("'1',")."
		1,
		4,
		1,
		'".time()."'
	);",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (1, 1);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		2,
		".multilang("'Лошадь Ксения',", "'Horse Xenia',", "'',")."
		".multilang("'1',")."
		1,
		4,
		2,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (2, 1);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		3,
		".multilang("'Козел Вова',", "'Goat Vova',", "'',")."
		".multilang("'1',")."
		1,
		4,
		3,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (3, 1);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		4,
		".multilang("'Слон Антон',", "'Elephant Anton',", "'',")."
		".multilang("'1',")."
		1,
		4,
		4,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (4, 1);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		5,
		".multilang("'Крокодил Генадий',", "'Crocodile Genady',", "'',")."
		".multilang("'1',")."
		1,
		4,
		2,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (5, 1);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		6,
		".multilang("'Жираф Инокентий',", "'Giraffe Inokenty',", "'',")."
		".multilang("'1',")."
		1,
		4,
		6,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (6, 1);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		7,
		".multilang("'Корова Варя',", "'Cow Varya',", "'',")."
		".multilang("'1',")."
		1,
		4,
		7,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (7, 1);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		8,
		".multilang("'Страус Ахмед',", "'Ostrich Ahmed',", "'',")."
		".multilang("'1',")."
		1,
		4,
		8,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (8, 1);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		9,
		".multilang("'Кобра Жанна',", "'Cobra Jeanne',", "'',")."
		".multilang("'1',")."
		2,
		4,
		9,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (9, 2);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		10,
		".multilang("'Цапля Денис',", "'Heron Denis',", "'',")."
		".multilang("'1',")."
		2,
		4,
		10,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (10, 2);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		11,
		".multilang("'Черепаха Коля',", "'Turtle Kohlya',", "'',")."
		".multilang("'1',")."
		2,
		4,
		11,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (11, 2);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		12,
		".multilang("'Заяц Кирилл',", "'Hare Cyril',", "'',")."
		".multilang("'1',")."
		2,
		4,
		12,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (12, 2);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		13,
		".multilang("'Рыба Валентина',", "'Fish Valentine',", "'',")."
		".multilang("'1',")."
		2,
		4,
		13,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (13, 2);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		14,
		".multilang("'Утенок Магкряк',", "'Duckling Magkrjak',", "'',")."
		".multilang("'1',")."
		2,
		4,
		14,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (14, 2);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		15,
		".multilang("'Орел Егорка',", "'Eagle Egorka',", "'',")."
		".multilang("'1',")."
		2,
		4,
		15,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (15, 2);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		16,
		".multilang("'Мышь Пика',", "'Mouse Peaka',", "'',")."
		".multilang("'1',")."
		2,
		4,
		16,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (16, 2);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		17,
		".multilang("'Лиса Лия',", "'Fox Lija',", "'',")."
		".multilang("'1',")."
		2,
		4,
		17,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (17, 2);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		18,
		".multilang("'Гриф Вазген',", "'Vulture Vazgen',", "'',")."
		".multilang("'1',")."
		2,
		4,
		18,
		'".time()."'
	)",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (18, 2);",

	"INSERT INTO {photo} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, sort, timeedit) VALUES (
		19,
		".multilang("'Суслик Миша',", "'Gopher Misha',", "'',")."
		".multilang("'1',")."
		2,
		4,
		19,
		'".time()."'
	);",

	"INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (19, 2);",

	"DELETE FROM {photo_category} WHERE id=1",
	
	"INSERT INTO {photo_category} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." site_id, sort, timeedit) VALUES (
		1,
		".multilang("'Экстраверты',", "'Extraverts',", "'',")."
		".multilang("'1',")."
		4,
		1,
		'".time()."'
	)",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		4,
		'photo',
		4,
		1,
		1,
		3,
		".multilang("'Экстраверты',", "'Extraverts',", "'',")."
		".multilang("'1', ")."
		4
	)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, cat_id) VALUES ('photo/extroverts', 'photo', 4, 1)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (4, 3)",

	"INSERT INTO {photo_category} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." site_id, sort, timeedit) VALUES (
		2,
		".multilang("'Интроверты',", "'Introverts',", "'',")."
		".multilang("'1',")."
		4,
		2,
		'".time()."'
	);",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, cat_id) VALUES ('photo/introverts', 'photo', 4, 2)",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		5,
		'photo',
		4,
		2,
		1,
		3,
		".multilang("'Интроверты',", "'Introverts',", "'',")."
		".multilang("'1', ")."
		5
	)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (5, 3)"
);

/**
 * Выполняет действия для основной установки модуля
 * 
 * @return void
 */
function module_basic_photo()
{
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/photo'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/photo', 0777);
	}

	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/photo/small'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/photo/small', 0777);
	}

	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/photo/medium'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/photo/medium', 0777);
	}
}

/**
 * Выполняет действия для установки примеров заполнения модуля
 * 
 * @return void
 */
function module_example_photo()
{	
	$array = array(
			19 => array(23 => 'suslik-misha'),
			14 => array(24 => 'utenok'),
			6  => array(25 => 'zhirav'),
			15 => array(26 => 'orel'),
			13 => array(27 => 'ryba'),
			4  => array(28 => 'slon'),
			8  => array(29 => 'straus'),
			2  => array(30 => 'loshad'),
			12 => array(31 => 'zayac'),
			16 => array(32 => 'mysh-pika'),
			3  => array(33 => 'kozel'),
			5  => array(34 => 'krokodil'),
			17 => array(35 => 'lisa-liya'),
			11 => array(36 => 'cherepaxa'),
			9  => array(37 => 'kobra'),
			7  => array(38 => 'korova'),
			1  => array(39 => 'korshun'),
			18 => array(40 => 'grif'),
			10 => array(84 => 'caplya')
		);

	$module = 'photo';
	foreach ($array as $k => $a)
	{
		foreach ($a as $id => $name)
		{
			$name = $name.'_'.$id.'.jpg';

			if (! file_exists(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name))
			{
				copy('http://cms.diafan.ru/files4.2/'.$module.'/'.$name,
				     ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name);

				copy('http://cms.diafan.ru/files4.2/'.$module.'/small/'.$name,
				     ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$name);

				copy('http://cms.diafan.ru/files4.2/'.$module.'/medium/'.$name,
				     ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium/'.$name);
			}
			$size = filesize(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name);

			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name, 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$name, 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium/'.$name, 0777);

			DB::query("INSERT INTO {images} (id, name, module_name, element_id, sort, size) VALUES ('%d', '%s', '%s', '%d', '%d', '%d')",
				  $id, $name, $module, $k, $id, $size);
		}
	}
}