<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Шаблон формы авторизации
 */

if (!$result["user"])
{
	$text = $result["error"];
	$text .= '<div class="login">';
	$text .= '<form method="post" action="' . $result["action"] . '">
		<input type="hidden" name="action" value="auth">
		<span class="infofield">' . $this->_('LOGIN') . '</span>
		<input type="text" name="name" value="" size="18" class="inptext">
		<span class="infofield">' . $this->_('PASSWORD') . '</span>
		<input type="password" name="pass" value="" size="18" class="inptext">
		<span class="button_wrap"><input type="submit" value="Войти" class="button"></span><br>';
	if (empty($result["hide"]))
	{
		$text .= '<a href="' . $result["reminding"] . '">' . $this->_('FOGOT_PASSWORD') . '</a>
			<a href="' . $result["registration"] . '">' . $this->_('REGISTRATION') . '</a>';
	}
	$text .= '</form>';
	$text .= '</div>';
}
else
{
	$text = '<div class="login">';
	if (!empty($result["avatar"]))
	{
		$text .= '<img src="' . BASE_PATH.USERFILES.'/avatar/' . $result["name"] . '.png" width="' . $result["avatar_width"] . '" height="' . $result["avatar_height"] . '" alt="' . $result["fio"] . ' (' . $result["name"] . ')" class="login_avatar">';
	}
	$text .= $this->_('HELLO') . ', ';
	if($result['user_page'])
	{
		$text .= '<a href="' . $result['user_page'] . '">' . $result["fio"] . '</a>';
	}
	else
	{
		$text .= $result["fio"];
	}
	$text.= '!
	<br>
	<a href="' . BASE_PATH_HREF . 'logout/">' . $this->_('LOGOUT') . '</a>
	<br>
	<a href="' . $result["registration"] . '">' . $this->_('EDIT_YOUR_INFORMATION') . '</a>';
	if (!empty($result['message_page']))
	{
		$text.= '<br><a href="' . $result['message_page'] . '">' . $result['message_name'] . ' (<b>' . $result['message_unread'] . '</b>)</a>';
	}
	$text .= '</div>';
}
return $text;