<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

$name = $result["name"];
$prefix = $result["prefix"];

if (!empty($result[$name]))
{
	foreach ($result[$name] as $row)
	{
		$value = !empty($result["user"]['p' . $row["id"]]) ? $result["user"]['p' . $row["id"]] : '';
		if (empty($value) && !empty($row['value']))
			$value = $row['value'];
		echo '<div class="param' . $prefix . $row["id"] . '">';
		if ($row["type"] == 'text' || $row["type"] == "email")
		{
			echo '<div class="infofield">' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . ':</div>
				<input type="text" name="' . $prefix . 'p' . $row["id"] . '" size="40" value="' . $value . '" class="inptext">';
		}
		elseif ($row["type"] == 'textarea')
		{
			echo '<div class="infofield">' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . ':</div>
				<textarea name="' . $prefix . 'p' . $row["id"] . '" class="inptext" rows="10" cols="30">' . $value . '</textarea>';
		}
		elseif ($row["type"] == 'date' || $row["type"] == 'datetime')
		{
			echo '<div class="infofield">' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . ':</div>
					<input type="text" name="' . $prefix . 'p' . $row["id"] . '" size="20" value="' . ($value ? $value : '') . '" class="inptext timecalendar" showTime="'
			. ($row["type"] == 'datetime' ? 'true' : 'false') . '">';
		}
		elseif ($row["type"] == 'numtext')
		{
			echo '<div class="infofield">' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . ':</div>
				<input type="text" name="' . $prefix . 'p' . $row["id"] . '" size="5" value="' . $value . '" class="inpnum">';
		}
		elseif ($row["type"] == 'checkbox')
		{
			echo '<div class="infofield"><input type="checkbox" name="' . $prefix . 'p' . $row["id"] . '" value="1" class="inpcheckbox"' . ($value ? ' checked' : '') . '>
				' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . '</div>';
		}
		elseif ($row["type"] == 'select')
		{
			echo '<div class="infofield">' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . ':</div>
				<select name="' . $prefix . 'p' . $row["id"] . '" class="inpselect">
					<option value="">-</option>';
			foreach ($row["select_array"] as $select)
			{
				echo '<option value="' . $select["id"] . '"' . ($value == $select["id"] ? ' selected' : '') . '>' . $select["name"] . '</option>';
			}
			echo '</select>';
		}
		elseif ($row["type"] == 'multiple')
		{
			echo '<div class="infofield">' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . ':</div>';
			echo '<select name="' . $prefix . 'p' . $row["id"] . '[]" class="inpselect" multiple="multiple">
				<option value="">-</option>';
			foreach ($row["select_array"] as $select)
			{
				echo '<option value="' . $select["id"] . '"' . (in_array($select["id"], $value) ? ' selected' : '') . '>' . $select["name"] . '</option>';
			}
			echo '</select>';
		}

		echo '<div class="registration_form_param_text">' . $row["text"] . '</div>
			</div>
			<div class="errors error_' . $prefix . 'p' . $row["id"] . '"' . ($result["error_" . $prefix . "p" . $row["id"]] ? '>' . $result["error_" . $prefix . "p" . $row["id"]] : ' style="display:none">') . '</div>';
	}
}