<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN')) {
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Shop_admin_discount_type
 *
 * Типы покупателей
 */
class Shop_admin_discount_type extends Frame_admin {

    /**
     * @var string название файла. используется в имени констант, определяющих названия полей
     */
    public $file = 'shopdiscounttype';

    /**
     * @var string таблица в базе данных
     */
    public $table = 'shop_discount_type';

    /**
     * Конструктор класса
     * 
     * @return void
     */
    public function __construct($diafan) {
        $this->diafan = $diafan;

        //поля в базе данных для редактирования
        $this->variable_table = array(
            'name' => 'text'
            //'discount' => 'floattext',
            //'summ' => 'floattext'
        );

        //переводимые поля
        $this->language_names = array(
            'type'
        );

        $this->config_module = array(
            'del' => 1, //удалить
        );

        $this->currency = $this->diafan->configmodules("currency", 'shop');
    }

   /* protected function other_row_discount($row) {
        return '</td><td>' . $row['discount'] . ' %';
    }

    protected function other_row_summ($row) {
        return '</td><td>' . $row['summ'] . ' ' . $this->currency;
    }*/

    /**
     * Выводит список заказов
     * @return boolean true
     */
    public function show_module() {
        $this->addnew_init(_ADMIN_SHOP_ADD_DISCOUNT_TYPE);
        $this->list_row();
        
        return true;
    }

}