$(document).ready(function() {
    $(".shop_form select").change(function() {
		select_param_price($(this).parents('form'));
    });
    $(".shop_form").each(function() {
		select_param_price($(this));
    });
    $("input[action=wish]").click(function() {
		$(this).parents('form').find('input[name=action]').val('wish');
		$(this).parents('form').submit();
		$(this).parents('form').find('input[name=action]').val('buy');
    });
    
    $('.shop_compare_contaner').click(function(){
        $(this).find('.shop_compare_button').click();
    });
    
    $('.shop_compare_button').click(function(event){
        var shopCompareAdd = $(this).parents('form.shop_compare_form').find('input[name="shop_compare_add"]');
        var shopCompareContaner = $(this).parents('.shop_compare_contaner');
        if($(shopCompareAdd).val() == 1)
        {
            $(shopCompareAdd).val(0);
            $(shopCompareContaner).removeClass('shop_compare_checked');
            
        }
        else
        {
            $(shopCompareAdd).val(1);
            $(shopCompareContaner).addClass('shop_compare_checked');
        }
        
        event.stopPropagation();
    });
    $('.shop_compare_form').live('submit', function(){
        $(this).find("input[name='ajax']").val('1');
        $(this).ajaxSubmit({
            dataType: 'json',
            success: function(response, statusText, xhr, form)
            {
                if(response.shop_compare_id)
                {
                    if(response.shop_compare_add)
                    {
                         //добавляем в форму скрытое поле с id товара
                         $('.shop_compared_goods_list').each(function(){
                             $(this).append(prepare(response.shop_compare_input));
                         });
                    }
                    else
                    {
                         //удаляем скрытое поле с id товара
                        $('.shop_compared_goods_list').each(function(){
                            $(this). find('.shop_compared_goods_'+response.shop_compare_id).remove();
                        });
                        
                        //удаляем товар со страницы для сравнения
                        $('.shop_compare_page').each(function(){
                            $(this). find('.shop_compared_goods_'+response.shop_compare_id).remove();
                            if($(this).find('.shop').length < 4)
                            {
                                $('.prev').remove();
                                $('.next').remove();
                            }
                        });
                    }
                }
                return false;
            }
        });
        return false;
    });
});
function select_param_price(th)
{
	var param_code = '';
	th.find("select").each(function(){
		param_code = param_code + '['+$(this).attr('name')+'='+$(this).val()+']';
	});
	th.find('.shop_param_price').hide();
	th.find('.shop_param_price'+param_code).show();
}