<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Users_install
 *
 * Установка модуля "Регистрация"
 */
$title = "Пользователи";

$sql = array(
    "INSERT INTO {modules} (name, module_name, site) VALUES ('registration', 'users', '1')",

    "INSERT INTO {modules} (name, module_name, site) VALUES ('reminding', 'users', '1')",

    "INSERT INTO {modules} (name, module_name, site) VALUES ('messages', 'users', '1')",

    "CREATE TABLE {users_actlink} (
		`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
		`link` varchar(250) NOT NULL DEFAULT '',
		`user_id` int(11) unsigned NOT NULL DEFAULT '0',
		`created` int(12) unsigned NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`)
	) CHARSET=utf8",

    "INSERT INTO {site} (id,
		".multilang("`nameLANG`,")."
		".multilang("`actLANG`,")."
		`sort`, `timeedit`, `addmodule`) VALUES (
		8,
		".multilang("'Регистрация',", "'Registration',", "'',")."
		".multilang("'1',")."
		'8',
		'".time()."',
		'registration'
	);",
    "INSERT INTO {rewrite} (`id`, `rewrite`, `module_name`, `site_id`) VALUES (8, 'registration', 'site', 8)",
    "INSERT INTO {site} (id,
		".multilang("`nameLANG`,")."
		".multilang("`actLANG`,")."
		`sort`, `timeedit`, `addmodule`) VALUES (
		11,
		".multilang("'Забыли пароль?',", "'Have forgotten the password?',", "'',")."
		".multilang("'1',")."
		'11',
		'".time()."',
		'reminding'
	);",
    "INSERT INTO {rewrite} (`id`, `rewrite`, `module_name`, `site_id`) VALUES (11, 'reminding', 'site', 11)",
    "INSERT INTO {site} (id,
		".multilang("`nameLANG`,")."
		".multilang("`actLANG`,")."
		`sort`, `timeedit`, `addmodule`) VALUES (
		27,
		".multilang("'Страница пользователя',", "'User page',")."
		".multilang("'1',")."
		'11',
		'".time()."',
		'users'
	);",
    "INSERT INTO {rewrite} (id, `rewrite`, `module_name`, `site_id`) VALUES (27, 'users', 'site', 27)",

    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'captcha', '1')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'sendmailadmin', '1')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'act', '1')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'mes', 'Вы удачно зарегистрированы. Для активации аккаунта пройдите по ссылке, высланной на ваш e-mail.')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'subject_admin', '%%title (%%url). Новый пользователь')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'message_admin', 'Здравствуйте, администратор сайта %%title (%%url)!<br>На сайте появился новый пользователь: %%fio (%%login), %%email.')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'subject', 'Вы зарегистрированы на сайте %%title (%%url)')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'message', 'Здравствуйте, %%fio!<br>Вы зарегистрированы на сайте %%title (%%url).<br>Логин: %%login<br>Пароль: %%password<br>Для активации аккаунта пройдите по ссылке %%actlink<br>Ссылка действует в течении суток.')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'mes_reminding', 'Новый пароль выслан Вам на e-mail.')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'subject_reminding', 'Вы запросили новый пароль на сайте %%title (%%url).')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'message_reminding', 'Здравствуйте, %%fio!<br>Вы запросили новый пароль на сайте %%title (%%url).<br>Логин: %%login<br>Пароль: %%password')",
    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('users', 'mes', 'Congratulations! You have successful registered. In order to activate your account please click the link send to your e-mail.', 2)",
    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('users', 'subject', 'You registered on web site %%title (%%url).', 2)",
    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('users', 'message', 'Hello, %%fio!<br>You registered on web site %%title (%%url).<br>Username: %%login<br>Password: %%password<br>In order to activate your account please click the link %%actlink<br>Link act in next day.', 2)",
    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('users', 'mes_reminding', 'New password send to your e-mail.', 2)",
    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('users', 'subject_reminding', 'You requested new password on web site %%title (%%url).', 2)",
    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('users', 'message_reminding', 'Hello, %%fio!<br>You requested new password on web site %%title (%%url).<br>Username: %%login<br>Password: %%password', 2)",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'avatar', '1')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'avatar_width', '50')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'avatar_height', '50')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'avatar_quality', '80')",
    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'error_empty_fields', 'Пожалуйста, заполните обязательное поле')",
    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('users', 'error_empty_fields', 'Please fill out the required field', 2)",
);

$example = array(
    "UPDATE {site} SET
		".multilang(
	    "text='<p>Регистрация на сайте нашего зоопарка дает многое: для посетителей доступ к некоторым закрытым страницам, голосованиям и т.д. А администрация нашего зоопарка часто делает рассылки интересных новостей по базе наших пользователей.</p>'", ", text2='<p>Registration on a site of our zoo gives much: for visitors access to some closed pages, votings etc. And the administration of our zoo often does dispatches of interesting news on base of our users.</p>'", ""
    )."
	WHERE id=8",
    "UPDATE {site} SET
		".multilang(
	    "text='<p>Если вы забыли пароль, вам необходимо ввести ваш логин и почтовый ящик в форму ниже и нажать отправить. Новый пароль придет к вам на почту. Восстановление старого пароля невозможно, т.к. пароли шифруются по алгоритму md5.</p>'", ", text2='<p>If you have forgotten the password, it is necessary for you to enter your login and a mail box into the form more low and to press to send. The new password will come to you on mail. Restoration of the old password is impossible, since passwords are ciphered on algorithm md5.</p>'", ""
    )."
	WHERE id=11",

    "INSERT INTO {users} (id, name, password, mail, created, fio, act) VALUES (
		2,
		'kukushkin',
		'48222981add3862a4c8e9646fd77b1d1',
		'kukushkin@site.com',
		'1231794000',
		'Кукушкин Адольф',
		'1'
	)",

    "INSERT INTO {users} (id, name, password, mail, created, fio, act) VALUES (
		3,
		'filimon',
		'c42a922f981091217a808fb6eea48e26',
		'filimon@site.ru',
		'1234126800',
		'Филимон Авруцкий',
		'1'
	)"
);

/**
 * Выполняет действия для основной установки модуля
 * 
 * @return void
 */
function module_basic_usersite()
{
    if (!is_dir(ABSOLUTE_PATH.USERFILES.'/avatar'))
    {
		mkdir(ABSOLUTE_PATH.USERFILES.'/avatar', 0777);
    }
}

/**
 * Выполняет действия для установки примеров заполнения модуля
 * 
 * @return void
 */
function module_example_usersite()
{
    if (!file_exists(ABSOLUTE_PATH.USERFILES.'/avatar/filimon.png'))
    {
		copy('http://cms.diafan.ru/files4.2/avatar/filimon.png', ABSOLUTE_PATH.USERFILES.'/avatar/filimon.png');
    }
    if (!file_exists(ABSOLUTE_PATH.USERFILES.'/avatar/kukushkin.png'))
    {
		copy('http://cms.diafan.ru/files4.2/avatar/kukushkin.png', ABSOLUTE_PATH.USERFILES.'/avatar/kukushkin.png');
    }
}

/**

 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_usersite()
{
    $module = 'users';
    DB::query("DROP TABLE {users_actlink};");

	DB::query("DELETE FROM {modules} WHERE module_name IN ('users', 'registration', 'reminding')");

    DB::query("DELETE FROM {config} WHERE module_name='".$module."';");

    $site_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {site} WHERE addmodule IN ('users', 'registration', 'reminding')");
    if ($site_ids) {
        DB::query("DELETE FROM {site} WHERE id IN (" . $site_ids . ")");
        DB::query("DELETE FROM {site_parents} WHERE element_id IN (" . $site_ids . ")");
        DB::query("DELETE FROM {rewrite} WHERE module_name='site' AND site_id IN (" . $site_ids . ")");

        $menu_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {menu} WHERE site_id IN ('" . $site_ids . "')");
        if ($menu_ids) {
            DB::query("DELETE FROM {menu} WHERE id IN (" . $menu_ids . ")");
            $menu_child_ids = DB::query_result("SELECT GROUP_CONCAT(element_id SEPARATOR ',') FROM {menu_parents} WHERE parent_id IN (" . $menu_ids . ")");
            if ($menu_child_ids) {
                DB::query("DELETE FROM {menu_parents} WHERE element_id IN (" . $menu_child_ids . ")");
            }
            DB::query("DELETE FROM {menu_parents} WHERE element_id IN (" . $menu_ids . ")");
        }
    }


    $trash_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {trash} WHERE module_name='".$module."'");
    if ($trash_ids)
    {
	DB::query("DELETE FROM {trash} WHERE id IN (".$trash_ids.")");
	$trash_child_ids = DB::query_result("SELECT GROUP_CONCAT(element_id SEPARATOR ',') FROM {trash_parents} WHERE parent_id IN (".$trash_ids.")");
	if ($trash_child_ids)
	{
	    DB::query("DELETE FROM {trash_parents} WHERE element_id IN (".$trash_child_ids.")");
	}
	DB::query("DELETE FROM {trash_parents} WHERE element_id IN (".$trash_ids.")");
    }
}