<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include(dirname(dirname(dirname(__FILE__))) . '/includes/404.php');
}

/*
 * Шаблон страницы пользователя
 */

echo '<div class="user_page"><table><tr>';
if (!empty($result['avatar']))
{
	echo '<td><img src="' . BASE_PATH . USERFILES.'/avatar/' . $result["name"] . '.png" width="' . $result["avatar_width"] . '" height="' . $result["avatar_height"] . '" alt="' . $result["fio"] . ' (' . $result["name"] . ')" class="user_page_avatar"></td>';
}
echo '<td>' . $result['fio'] . ' (' . $result['name'] . ')<br>' . _ADMIN_USERS_CREATED . ': ' . $result['created'] . '</td></tr></table>';

echo '<table>';
foreach ($result['param'] as $row)
{
	if (empty($row['value']))
	{
		if($row['type'] == 'checkbox')
		{
			echo '<tr><td>' . $row['name'] . '</td><td></td></tr>';
		}
		continue;
	}
	echo '<tr><td>' . $row['name'] . ':</td><td>';
	switch ($row['type'])
	{
		case 'select':
			$v = $row['value'][0];
			break;
		case 'multiple':
			$v = implode(',', $row['value']);
			break;
		default:
			$v = $row['value'];
	}
	echo $v . '</td></tr>';
}

echo '</table>';

if ($result['form_messages'])
{
	$this->diafan->_tpl->get('form', 'messages', array("to" => $result['id']));
}

echo '</div>';